<div id="signup">
	<div class="escort-info">
		<h2 class="signup-header"><?= __('signup_account_type_choice') ?></h2>

		<div class="types-wrap clearFloat">
			<div class="signupEscort clearFloat col">
				<div class="img-escort"></div>
				<h3><?= __('signup_escort_account')?></h3>
				<h3 class="small"><?= __('signup_escort_signup_types')?></h3>
				<p class="escprt-adv"><?= __('signup_escort_signup_desc')?></p>
				<ul>
					<li><?= __('signup_escort_signup_li1')?></li>
					<li><?= __('signup_escort_signup_li2')?></li>
					<li><?= __('signup_escort_signup_li3')?></li>
				</ul>
			</div>

			<div class="signupMember clearFloat col">
				<div class="img-member"></div>
				<h3><?= __('signup_member_account')?></h3>
				<p class="escprt-adv"><?= __('signup_member_signup_desc')?></p>
				<ul>
					<li><?= __('signup_member_signup_li1')?></li>
					<li><?= __('signup_member_signup_li2')?></li>
					<li><?= __('signup_member_signup_li3')?></li>
				</ul>
			</div>
		</div>
        <div class="mobile-grid">
            <h4 class="sign-up-as"><?= __('sign_up_as') ?></h4>
            <div class="mobile-flex">
                <a href="<?= $this->getLink('signup-escort')?>" class="reg-button custom-escort"><?= __('sign_up_escort') ?></a>
                <a href="<?= $this->getLink('signup-escort')?>" class="reg-button custom-escort d-none"></a>
            </div>
            <div class="mobile-flex mb-20">
                <a href="<?= $this->getLink('signup-agency')?>" class="reg-button custom-agency"><?= __('agency_escort') ?></a>
                <a href="<?= $this->getLink('signup-member')?>" class="reg-button custom-member"><?= __('su2_signup')?></a>
            </div>
        </div>

		<div class="clear"></div>

	</div>
</div>

<style>

</style>

<script>
	$(document).ready(function(){
		MCubix.Signup.init();
	});

	MCubix.Signup = {
		init: function(){
			this._redirect();
		},

		_getLink: function( _type ){
			var _links = ['<?= $this->getLink('signup-escort')?>', '<?= $this->getLink('signup-member')?>'];

			return _links[ +_type - 1 ];
		},

		_redirect: function(){
			var self = this,
				_rbtn = $('#registerBtn');

			_rbtn.on('click', function(){
				var _type = $('input:checked').data('type');

				if( !_type ) return false;

				 window.location.href = self._getLink( _type );
			});
		}
	}
</script>